petsc-3.10.5 2019-03-28
Report Typos and Errors

# CharacteristicInitializePackage

This function initializes everything in the Characteristic package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to CharacteristicCreate() when using static libraries.

### Synopsis

    PetscErrorCode CharacteristicInitializePackage(void)

### Keywords

Characteristic, initialize, package

### See Also

PetscInitialize()

### Level

developer

### Location

src/ts/characteristic/interface/slregis.c
Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages